Package: groovy.cli

## [Java] Class TypedOption<T>

- groovy.cli.TypedOption

-     public class TypedOption<T>
      extends HashMap

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public T` | `defaultValue()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class HashMap` | `remove, remove, get, put, values, clone, clear, isEmpty, replace, replace, replaceAll, size, merge, entrySet, putAll, putIfAbsent, compute, forEach, containsKey, computeIfAbsent, keySet, containsValue, getOrDefault, computeIfPresent, equals, toString, hashCode, wait, wait, wait, getClass, notify, notifyAll`

- - ### Method Detail

    - #### public T defaultValue()